#
# See the file "LICENSE" for the full license governing this code.
#
# Returns the the installed Opatch version for a specfied Oracle home
#
Puppet::Functions.create_function(:'ora_install::opatch_version') do
  dispatch :opatch_version do
    param 'String', :oracle_home
    return_type 'String'
  end

  def opatch_version(oracle_home)
    scope = closure_scope
    fact = scope['ora_install_homes']
    if fact && fact[oracle_home]
      if fact[oracle_home]['opatch_version'] == 'Invalid'
        fail "Either ORACLE_HOME '#{oracle_home}' or '#{oracle_home}/OPatch/opatch' not found. Faulty oraInventory entry? Please fix!"
      else
        fact[oracle_home]['opatch_version']
      end
    else
      ''
    end
  end
end
