#
# See the file "LICENSE" for the full license governing this code.
#
# Return a true or a false based on the fact if oracle exists
require 'puppet/util/log'

Puppet::Functions.create_function(:'ora_install::oracle_exists') do
  dispatch :oracle_exists do
    param 'String', :oracle_home
    return_type 'Boolean'
  end

  def oracle_exists(oracle_home)
    scope = closure_scope
    fact = scope['ora_install_homes']
    if fact && fact[oracle_home]
      if fact[oracle_home]['opatch_version'] == 'Invalid'
        fail "Either ORACLE_HOME '#{oracle_home}' or '#{oracle_home}/OPatch/opatch' not found. Faulty oraInventory entry? Please fix!"
      else
        true
      end
    else
      false
    end
  end

end
